Bug 10879 - apachectl isn't included
apachectl isn't included
Product: Red Hat Linux
Classification: Retired
Component: apache (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2000-04-17 15:15 EDT by Sean Dilda
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-06-23 13:51:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Sean Dilda 2000-04-17 15:15:37 EDT
(NOTE: This was brought up in but 4459, but that bug was closed due to a
man page issue, even though the apachectl issue doesn't seem resolved.)

apachectl should be included because it has slightly different
functionality than the default init script, and it is listed in all the
apache documentation as the way to restart apache.

If you don't like the idea of having the init script and apachectl, maybe
you could have a script that has the functionality of both and is symlinked
so that it is available under both names.
Comment 1 Nalin Dahyabhai 2000-05-02 15:50:59 EDT
The apachectl script was taken out because it duplicates some of the
functionality of the init script we provide.  Which specific function
is missing that you need?
Comment 2 Jeremy Katz 2000-06-22 01:41:13 EDT
The most useful functionality bit in my opinion that's missing is configtest. 
It's much nicer to test and then fix and then test and restart the web server
than to do a restart and find you made a mistake that keeps apache from
Comment 3 Bobby de Vos 2000-06-23 13:51:53 EDT
The graceful option would also be useful, which apachectl has but the Redhat
init script does not.
Comment 4 Nalin Dahyabhai 2000-07-10 15:18:35 EDT
Changes in the init script in Raw Hide to make web server module installation
(i.e., to avoid editing httpd.conf in package %post scripts) make use of the
script impractical.

Note You need to log in before you can comment on or make changes to this bug.